// Program var_annual_calc_actual_policy_revision.prg
// rerun, 4/13/2009, to get a conforming format to 8 significant digits Written on 2/7/07 by Tom
// Calls Junichi's program for each year;
// after running this program run 
// set to run for model=constrained_plus_logit 

output file=c:\a_datprg\proj\wal_proj\demand3\model\constrained_plus_logit\var_annual_calc_actual_policy_revision.out reset;
#include c:\a_datprg\proj\wal_proj\demand3\model\constrained_plus_logit\setup.prg;     

alpha=0.02;
exp_dist_mat=exp(-dist_mat*alpha);    


// Now give it a policy and calculate what I need.
year_begin=1962;
year_end=2005;
year_evaluate=year_begin;

// this is what will be calculated "year	sal_gen	sal_groc	wage_gen	wage_groc	rent_gen  rent_groc lnneig5_gen lnneig5_2_gen lnneig5_groc lnneig5_2_groc spill_gen	spill_groc	dc_gen_dist	dc_groc_dist	store1_dist";
do while year_evaluate<=year_end;
store_exist=year_open.<=year_evaluate; 
super_exist=year_super.<=year_evaluate;
print "year_evaluate=" year_evaluate;
x=(year_open.<=(year_evaluate-2)).*store_exist; // Dummy for two years or older. 
{y1,y2,y3,y4,y5,y6,y7,y8,y9,y10,y11,y12,y13,y14,y15,y16,y17,y18,y19}=var_annual_calc(store_exist, super_exist, year_evaluate, x);

if year_evaluate==year_begin;
    var_annual=year_evaluate~y1~y2~y3~y4~y5~y6~y7~y8~y9~y10~y11~y12~y13~y14~y15~y16~y17~y18~y19;
else;
    var_annual=var_annual|(year_evaluate~y1~y2~y3~y4~y5~y6~y7~y8~y9~y10~y11~y12~y13~y14~y15~y16~y17~y18~y19);
endif;
year_evaluate=year_evaluate+1;
endo;

outwidth 150;
screen off;
output file=d:\a_data\proj\wal_proj\demand3\model\constrained_plus_logit\var_annual_calc_actual_policy_revision.asc reset;
var_annual;
output off;



    